io.vertx.maven.resolver

## Class ResolutionOptions

- java.lang.Object
- - io.vertx.maven.resolver.ResolutionOptions

-     public class ResolutionOptions
      extends Object

  Options configuring the resolution of a single dependency.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolutionOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResolutionOptions` | `addExclusion(String exclusion)` Adds an exclusion.
    `boolean` | `equals(Object o)`
    `List<String>` | `getExclusions()`
    `int` | `hashCode()`
    `boolean` | `isWithTransitive()`
    `ResolutionOptions` | `removeExclusion(String exclusion)` Removes an exclusion.
    `ResolutionOptions` | `setWithTransitive(boolean withTransitive)` Sets whether or not the resolution of the dependency should include the transitive dependencies.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolutionOptions

          public ResolutionOptions()

  - ### Method Detail

    - #### isWithTransitive

          public boolean isWithTransitive()

      Returns:
        whether or not the resolution should also resolve the transitive dependencies.

    - #### setWithTransitive

          public ResolutionOptions setWithTransitive(boolean withTransitive)

      Sets whether or not the resolution of the dependency should include the transitive dependencies.
      Parameters:
        `withTransitive` - whether or not the resolution should also resolve the transitive dependencies, `true` by default.
      Returns:
        the current `ResolutionOptions` instance

    - #### addExclusion

          public ResolutionOptions addExclusion(String exclusion)

      Adds an exclusion. The excluded dependencies and its children would not be resolved. The exclusion is given under the following form: `groupId:artifactId`.
      Parameters:
        `exclusion` - the exclusion to add
      Returns:
        the current `ResolutionOptions` instance

    - #### removeExclusion

          public ResolutionOptions removeExclusion(String exclusion)

      Removes an exclusion.
      Parameters:
        `exclusion` - the exlusion to remove
      Returns:
        the current `ResolutionOptions` instance
      See Also:
        `addExclusion(String)`

    - #### getExclusions

          public List<String> getExclusions()

      Returns:
        the list of exclusions, empty if none.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 Eclipse. All rights reserved.